#!/bin/bash

set -e

# Install our Debian apt repository.
echo 'deb http://www.incal.net/ale/debian autoradio/' > \
	/etc/apt/sources.list.d/autoradio.list

cat >/etc/default/icecast2 <<EOF
CONFIGFILE="/etc/icecast2/icecast.xml"
USERID=icecast2
GROUPID=icecast
ENABLE=true
EOF

# Install the required packages.
export DEBIAN_FRONTEND=noninteractive
apt-get update -q
yes n | apt-get install -q -y --force-yes etcd autoradio

# Install the configuration.
DOMAIN="${DOMAIN:-$1}"
if [ -n "${DOMAIN}" ]; then
  echo "Autoconfigured with domain: ${DOMAIN}" 1>&2
  echo "DOMAIN=${DOMAIN}" > /etc/default/autoradio
fi

echo "All done (?)" 1>&2
exit 0

